//camera.cpp

#include "camera.h"
#include <stdio.h>
#include <stdlib.h>
#include <fstream.h>
#include <math.h>

#define pi 3.141592654

double rad_deg = pi/180;

camera::camera()
{
	at.x=0;
	at.y=500;
	at.z=500;

	theta=0;
	phi=0;

	update_camera();
}

void camera::update_camera()
{

	//Updating look view
	look.x=at.x+(float)cos(theta*(rad_deg))*(float)cos(phi*(rad_deg));
	look.y=at.y+(float)sin(theta*(rad_deg))*(float)cos(phi*(rad_deg));
	look.z=at.z+(float)sin(phi*(rad_deg));
}