//message.h


class message
{
private:
	struct message_node
	{
		char *c;
		message_node *next;
		message_node *prev;
		int life;
		int max_life;
	};

	message_node *head;

public:
	message();

	void add_message(char *c);
	void add_message(char *c, int max_life);
	void drop_message();
	char *get_message(int id);
	void remove_node(message_node *current);
	void age_messages(float time_factor);

};