//player.cpp

#include "player.h"
#include <stdio.h>
#include <stdlib.h>
#include <fstream.h>
#include <math.h>

#define pi 3.141592654


player::player()
{
	this->reset();
}

void player::reset()
{
	state=1;						//1

	shield_max = 100;				//100
	armor_max = 150;				//150

	pos.x=0;						//0
	pos.y=500;						//500
	pos.z=500;						//500

//	vel.x=0;						//0
//	vel.y=0;						//0
//	vel.z=0;						//0

	size = 100;						//100
	sizeS = size*size;

	theta=0;						//0
	phi=0;							//0

	velocity = 8;					//8

	shield = shield_max;
	armor = armor_max;

	piece_id = 0;					//0

	shot_type = 0;					//0
	shot_delay = 10;				//10
	shot_wait = 0;					//0

	shot_type2 = 2;					//2
	shot_delay2 = 20;				//20
	shot_wait2 = 0;					//0

	max_speed = 12;					//12
	min_speed = 5;					//5
	speed_change = .1;				//.1

	shield_spin = 0;				//0

	strafe.x = 0;					//0
	strafe.y = 0;					//0
	strafe.z = 0;					//0

	strafe_amt.x = 0;				//0
	strafe_amt.y = 1.5;				//1.5
	strafe_amt.z = 1.5;				//1.5
}
